.BG
.FN GS.Warping
.TL
Golden section bootstrap for WARPing regression
.DN
Golden section bootstrap for WARPing regression

.CS
GS.Warping(x, y, h, locations, samplenumber, M=10, M.large=20, kernel=4)
.RA
.AG x
predictor
.AG y
response
.AG h
bandwidth
.AG locations
suggestd locations to evaluate the regression curve
.AG samplenumber
number of bootstrap samples
.OA
.AG M
number of small bins
.AG M.large
oversmoothing bandwidth
.AG kernel
coded kernel: 1 = uniform, 2 = triangle (ASH), 3 = Epanchenikov,
4 = quartic, 5 = triweight.
.RT
list with components locations of the estimates, mM, the WARPing regression
estimate, mM.large, the oversmoothed WARPing estimate and mMstar, 
the bootstrap regression estimate.
.EX
# Figure 7.1
gs <- GS.Warping(geyser.x, geyser.y, h=0.4, c(0:33)/10+1.7, 5)
plot(gs$locations, gs$mMstar[1,], xlab="", ylab="", type="l")
for(i in 2:5) lines(gs$locations, gs$mMstar[i,],lty=i)
 
# Figure 7.2
gs <- GS.Warping(dat.reg$x, dat.reg$y, h=0.1, c(1:28)/30, 5)
plot(dat.reg$x, dat.reg$m, ylim= c(-1.0,1.0), xlab="", ylab="", type="l")
for(i in 1:5) lines(gs$locations, gs$mMstar[i,]-gs$mM.large+gs$mM,lty=i)
.KW haerdle
.WR
