.BG
.FN NW.kernel
.TL
Nadaraya-Watson non-parametric regression
.DN
Nadaraya-Watson non-parametric regression
.CS
NW.kernel(x, y, h, kernel=4, points=100, na.handling=0)
.RA
.AG x
data vector
.AG y
data vector
.AG h
bandwidth
.AG kernel
code for kernel.  1 = uniform, 2 = triangle (ASH), 3 = Epanchenikov,
4 = quartic, 5 = triweight, 6 = Gaussian, 7 = cosinus
.OA
.AG points
number of points to evaluate curve over the data range
.AG na.handling
How to handle 0/0. If 1 forces 0/0 = 0.
.RT
list with components grid, m (fitted curve), x and y
.EX
# Figure 5.3
plot(geyser.x,geyser.y)
nw<-NW.kernel(geyser.x, geyser.y, 0.1)
lines(nw$grid, nw$m)
nw<-NW.kernel(geyser.x, geyser.y, 0.4)
lines(nw$grid, nw$m, lty=2)
nw<-NW.kernel(geyser.x, geyser.y, 0.8)
lines(nw$grid, nw$m, lty=3)

# Figure 5.4
plot(dat.reg)
lines(dat.reg$x, dat.reg$m)
nw<-NW.kernel(dat.reg$x, dat.reg$y, 0.05)
lines(nw$grid, nw$m, lty=2)
nw<-NW.kernel(dat.reg$x, dat.reg$y, 0.10)
lines(nw$grid, nw$m, lty=3)
.KW haerdle
.WR
